Bug 355131 - software updater error
software updater error
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: pirut (Show other bugs)
7
i386 Linux
low Severity low
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-27 06:20 EDT by shovon
Modified: 2008-08-02 19:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-31 09:49:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description shovon 2007-10-27 06:20:41 EDT
// generated error -->
Component: Software Updater
Summary: TB63e8d3da yumRepo.py:623:_getFile:NoMoreMirrorsRepoError: failure:
repodata/primary.sqlite.bz2 from updates: [Errno 256] No more mirrors to try.

Traceback (most recent call last):
  File "/usr/sbin/pup", line 647, in <module>
    main()
  File "/usr/sbin/pup", line 640, in main
    pup = PackageUpdater(not options.autoapply)
  File "/usr/sbin/pup", line 88, in __init__
    GraphicalYumBase.__init__(self, False)
  File "/usr/lib/python2.5/site-packages/pirut/__init__.py", line 123, in __init__
    self.reset()
  File "/usr/lib/python2.5/site-packages/pirut/__init__.py", line 222, in reset
    self.doTsSetup()
  File "/usr/lib/python2.5/site-packages/yum/depsolve.py", line 63, in doTsSetup
    return self._getTs()
  File "/usr/lib/python2.5/site-packages/yum/depsolve.py", line 77, in _getTs
    self._tsInfo.setDatabases(self.rpmdb, self.pkgSack)
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 526, in <lambda>
    pkgSack = property(fget=lambda self: self._getSacks(),
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 381, in _getSacks
    self.repos.populateSack(which=repos)
  File "/usr/lib/python2.5/site-packages/yum/repos.py", line 242, in populateSack
    sack.populate(repo, mdtype, callback, cacheonly)
  File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 151, in populate
    db_fn = repo.retrieveMD(mydbtype)
  File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 855, in retrieveMD
    cache=self.http_caching == 'all')
  File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 623, in _getFile
    raise Errors.NoMoreMirrorsRepoError, errstr
NoMoreMirrorsRepoError: failure: repodata/primary.sqlite.bz2 from updates:
[Errno 256] No more mirrors to try.

Local variables in innermost frame:
e: [Errno 256] No more mirrors to try.
start: None
url: None
text: None
self: updates
cache: True
reget: None
relative: repodata/primary.sqlite.bz2
headers: ()
checkfunc: (<bound method YumRepository.checkMD of <yum.yumRepo.YumRepository
object at 0x9c87fec>>, ('primary_db',), {})
errstr: failure: repodata/primary.sqlite.bz2 from updates: [Errno 256] No more
mirrors to try.
copy_local: 1
end: None
local: //var/cache/yum/updates/primary.sqlite.bz2
Comment 1 Jeremy Katz 2007-10-28 14:16:03 EDT
Can you try the version of pirut available in the updates-testing repository with
  yum --enablerepo=updates-testing update pirut

and see if it resolves your problem?
Comment 2 Jeremy Katz 2007-12-31 09:49:50 EST
Closing due to inactivity.  If you have further information to add to this
report, please either reopen the bug or file a new one.  

Note You need to log in before you can comment on or make changes to this bug.